CREATE TABLE dos_prod_rpt_serials (
    REPORT_LOT_SERIAL_ID     NUMBER(18, 0),
    REPORT_LOT_ID            NUMBER(18, 0),
    REPORT_MATERIAL_ID       NUMBER(18, 0),
    FROM_SERIAL_NUMBER       VARCHAR2(320)    NOT NULL,
    TO_SERIAL_NUMBER         VARCHAR2(320)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    REPORT_LOT_SERIAL_ID     NUMBER(18, 0),
    REPORT_LOT_ID            NUMBER(18, 0),
    REPORT_MATERIAL_ID       NUMBER(18, 0),
    FROM_SERIAL_NUMBER       VARCHAR2(320)    NOT NULL,
    TO_SERIAL_NUMBER         VARCHAR2(320)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_dos_prod_rpt_serials PRIMARY KEY (REPORT_LOT_SERIAL_ID, REPORT_LOT_SERIAL_ID)
);
